@model FERZid.ViewModels.ServiserViewModel

@{
    ViewData["Title"] = "Serviser ID:" + Model.Idservisera;
}

<h2>@Html.DisplayFor(model => model.Ime) @Html.DisplayFor(model => model.Prezime)</h2>
<hr />
<div class="row">
    <div class="col-md-3">
        <h4>OIB:</h4>
        <p>@Html.DisplayFor(model => model.Oib)</p>
    </div>
    <div class="col-md-3">
        <h4>Email adresa:</h4>
        <p>@Html.DisplayFor(model => model.Email)</p>
    </div>
    <div class="col-md-3">
        <h4>Sjediste:</h4>
        <p>@Html.DisplayFor(model => model.Sjediste)</p>
    </div>
    <div class="col-md-3">
        <h4>Ziroracun:</h4>
        <p>@Html.DisplayFor(model => model.Ziroracun)</p>
    </div>
</div>
<hr />
<h3>Podaci o banci servisera</h3>
<div class="row">
    <div class="col-md-3">
        <h4>Banka:</h4>
        <p>@Html.DisplayFor(model => model.NazivBanke)</p>
    </div>
    <div class="col-md-3">
        <h4>IBAN:</h4>
        <p>@Html.DisplayFor(model => model.IbanBanke)</p>
    </div>
    <div class="col-md-3">
        <h4>SWIFT sifra:</h4>
        <p>@Html.DisplayFor(model => model.SwiftBanke)</p>
    </div>
    <div class="col-md-3">
        <h4>Sjediste:</h4>
        <p>@Html.DisplayFor(model => model.SjedisteBanke)</p>
    </div>
</div>
<hr />
<h4>Dodjeljeni servisi:</h4>
<br />
<table class="table table-striped" id="tableServisi">
    <thead>
        <tr>
            <th>
                Identifikacijski broj
            </th>
            <th>
                Za uredaj
            </th>
            <th>
                Uloga
            </th>
            <th>
                Pocetak
            </th>
            <th>
                Zavrsetak
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Servisi)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Idservisa)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ImeUredaja)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Uloga)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Zapoceo)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Zavrsio)
                </td>
            </tr>
        }
    </tbody>
</table>
<div>
    <a asp-action="Edit" asp-route-id="@Model.Idservisera">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>

@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#tableServisi').DataTable();
        });
    </script>
}
